Subject: Re: building with G++ 3.3.3
From: "Gerrit P. Haase" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Cc: "Judd" <[email-masked]>
Date: Tue, 12 Oct 2004 21:57:30 +0200

Hallo Judd,

> Am Dienstag, 12. Oktober 2004 um 20:19 schriebst du:

>> I'm trying to port OpenInventor freeware over to cygwin and I'm having some
>> problems with the linkage.  When trying to build the DLL, I'm coming up with
>> some errors I'm having a hard time trying to get around.

>> g++ -shared -o libInventor.dll -Wl,--out-implib=libInventor.dll.a \
>> -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--whole-archive \
>>         ./stub.o \
>>         ./database/src/sb/projectors/SbProjectors.o \
>>         ./database/src/sb/Sb.o \... (more object files)

> -Wl,--no-whole-archive

>>  -L/usr/lib -L/usr/X11R6/lib -L../libimage -L../libFL/src -ljpeg.dll -limage
>>  -lFL -lX11 -lGLU -lGL -liconv -lfreetype

BTW, saw the Cygwin documentation already:
http://www.cygwin.com/cygwin-ug-net/dll.html
?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/